@font-face {
    font-family: Roboto;
    src: url(../fonts/Roboto-Regular.ttf);
}

@font-face {
    font-family: Roboto-Bold;
    src: url(../fonts/Roboto-Bold.ttf);
    font-weight: bold;
}

/*
    basic
 */
*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    max-width: 100%;
}

html {
    font-family: Roboto, sans-serif;
    color: #6d6d6d;
}

h1,
h2,
h3 {
    font-family: Roboto-Bold, sans-serif;
    padding: 0 20px;
    text-align: center;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.2rem;
}

b, strong {
    font-family: Roboto-Bold, sans-serif;
    font-weight: normal;
}

a {
    color: #333;
}

fieldset {
    padding: 0;
    border: none;
}

label {
    width: 100%;
    display: inline-block;
    margin: 10px 0;
}

input {
    border: 1px solid #A7A7A7;
}

input:not([type="checkbox"]),
button, .button {
    padding: 10px 15px;
}

input:not([type="checkbox"]) {
    width: 100%;
}

input:not([type="checkbox"]):last-of-type {
    margin-bottom: 20px;
}

button, [type="button"], [type="reset"], [type="submit"], .button {
    background-color: #6d6d6d;
    color: #fff;
    border: none;
    font-family: Roboto-Bold, sans-serif;
    cursor: pointer;
    width: 70%;
    display: block;
    margin: 0 auto;
    text-decoration: none;
    text-align: center;
}

button:disabled, [type="button"]:disabled, [type="reset"]:disabled, [type="submit"]:disabled {
    background-color: #bbb !important;
    cursor: not-allowed;
}

input:not([type="checkbox"]) + input:not([type="checkbox"]) {
    margin-top: 1px;
    border-top: none;
}

input[type="checkbox"] {
    display: none;
}

input[type="checkbox"] + label {
    cursor: pointer;
    line-height: 2rem;
}

input[type="checkbox"] + label:before {
    content: '';
    display: inline-block;
    width: 2rem;
    height: 2rem;
    /*line-height: 2rem;*/
    float: left;
    font-size: 1.5rem;
    border: 1px solid #A7A7A7;
    background-color: #fff;
    text-align: center;
    margin-right: 10px;
}

input[type="checkbox"]:checked + label:before {
    content: '\2713';
}

fieldset {
    margin: 0;
}

.oauth-providers {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 10px;
    justify-content: center;
}

.oauth-providers > a.oauth-provider {
    display: block;
    width: 60px;
    height: 60px;
    border-radius: 60px;
    background-color: transparent;
    background-size: cover;
    border: 1px solid #6d6d6d;
    color: transparent;
    margin: 0 5px 10px !important;
}

.oauth-providers > a.oauth-provider:hover {
    box-shadow: 0 0 3px #6d6d6d;
}

.oauth-providers > a.oauth-provider.oauth-provider--google:after {
    /**
        preload images
     */
    position: absolute;
    width: 0;
    height: 0;
    overflow: hidden;
    z-index: -1;
    content: url("../logos/signInWith/google/btn_google_signin_dark_normal_web@2x.png") url("../logos/signInWith/google/btn_google_signin_dark_focus_web@2x.png") url("../logos/signInWith/google/btn_google_signin_dark_pressed_web@2x.png");
}

.oauth-providers > a.oauth-provider.oauth-provider--google {
    background-image: url("../logos/signInWith/google/btn_google_signin_dark_normal_web@2x.png");
    width: 191px;
    height: 46px;
    border: none;
    border-radius: 0;
}

.oauth-providers > a.oauth-provider.oauth-provider--google:hover {
    background-image: url("../logos/signInWith/google/btn_google_signin_dark_focus_web@2x.png");
    box-shadow: none;
}

.oauth-providers > a.oauth-provider.oauth-provider--google:focus {
    background-image: url("../logos/signInWith/google/btn_google_signin_dark_pressed_web@2x.png");
    box-shadow: none;
}

/*
    custom
 */

.brand-logo{
    max-width: 300px;
    margin: 0 auto;
    display: block;
}

#layout {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    position: fixed;
    overflow: auto;
}

.content {
    position: absolute;
    top: 0;
    /*left: 0;*/
    /*width: 100%;*/
    padding: 50px;
    background-color: rgba(255,255,255,.7);
    /*padding-bottom: 35px;*/
    left: 50%;
    transform: translateX(-50%);
    min-height: 100vh;
}

.go_back {
    position: relative;
    display: block;
    width: 50px;
    height: 50px;
    overflow: hidden;
    color: transparent;
    background: rgba(255, 255, 255, 1);
}

.go_back .arrow {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: block;
}

@media screen and (min-width: 640px) {
    .content {
        top: 45%;
        transform: translate(-50%, -50%);
        min-height: auto;
    }

    .go_back {
        position: absolute;
        left: -51px;
        top: 0;
        background: rgba(255, 255, 255, .7);
    }
}

.content .box {
    width: 360px;
    /* ok oder weg? */
    background-color: #fff;
    padding: 20px 30px;
    /*border-radius: 10px;*/
    /*box-shadow: 0 -1px 0 rgba(0, 0, 0, .1), 0 1px 0 rgba(0, 0, 0, .1);*/
}

.content .box a:not(.button) {
    display: block;
    width: 100%;
    text-align: center;
    margin: 10px 0;
    font-size: .8rem;
}
.portal-legend{
    display: none;
}
.content .box > *:first-child,
.content fieldset > *:first-child {
    margin-top: 0;
}

.content .box > *:last-child,
.content fieldset > *:last-child {
    margin-bottom: 0;
}

.content .message {
    text-align: center;
    margin: 10px auto 10px;
    color: #ffffff;
    padding: 10px;
    width: 360px;
    max-width: 100%;
    background-color: #1421A6;
}
.content .message a {
    color: #ffffff;
    font-style: italic;
}
.content .message.info {
    background-color: #A68C2D;
}
.content .message.success {
    background-color: #0CA637;
}
.content .message.error {
    background-color: #A61C1C;
}

#footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    padding: 15px;
    background-color: rgba(255,255,255,.7);
    text-align: center;
}

#footer a{
    font-size: .8rem;
}

#footer a:not(:last-child){
    margin-right: 30px;
}

/*
    loading
 */
#loginServerLoading {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999999;
    background-color: rgba(0, 0, 0, .2);
}

.sk-cube-grid {
    width: 40px;
    height: 40px;
    position: absolute;
    top: calc(50% - 20px);
    left: calc(50% - 20px);
}

.sk-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background-color: #333;
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
}

.sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-cube-grid .sk-cube5 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.sk-cube-grid .sk-cube7 {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.sk-cube-grid .sk-cube9 {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }
    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

/**
    password strength
 */

#passwordStrength
{
    width: 100%;
    height:10px;
    display:block;
    background: #cccccc;
    position: relative;
    border-radius: 2px;
    overflow: hidden;
}
#passwordStrengthVal
{
    height:10px;
    display:block;
}

.strength0
{
    width:1%;
    background:#ff0000;
}

.strength1
{
    width:20%;
    background:#ff0000;
}

.strength2
{
    width:40%;
    background:#ffa500;
}

.strength3
{
    width:60%;
    background:#56e500;
}

.strength4
{
    width:80%;
    background:#4dcd00;
}

.strength5
{
    width:100%;
    background:#399800;
}